"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class PerFamilyMendelErrors(ProtocolElement):
    """
    Mendelian inconsistencies ======================================== -
    fmendel reports a line per nuclear family - imendel reports a line
    per member of the family and nuclear family
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_11 import metrics as metrics_1_2_2

        return {
            "org.gel.models.metrics.avro.PerFamilyMendelErrors": metrics_1_2_2.PerFamilyMendelErrors,
        }

    __slots__ = [
        "fatherId",
        "motherId",
        "numberOfMendelErrors",
        "numberOfOffspring",
    ]

    def __init__(
        self,
        fatherId=None,
        motherId=None,
        numberOfMendelErrors=None,
        numberOfOffspring=None,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_2_2.PerFamilyMendelErrors model.

        :param fatherId:
            Sample Id of the father
        :type fatherId: None | str
        :param motherId:
            Sample Id of the mother
        :type motherId: None | str
        :param numberOfMendelErrors:
            Number of Mendelian errors in the nuclear family
        :type numberOfMendelErrors: None | double
        :param numberOfOffspring:
            Number of children in the nuclear family
        :type numberOfOffspring: None | double
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.2.2"
